<xml></xml>

Saxon API for .NET |

# XsltCompiler.Compile Method (XdmNode)

Compile a stylesheet, located at an XdmNode. This may be a document node whose child is an `xsl:stylesheet` or `xsl:transform` element, or it may be the `xsl:stylesheet` or `xsl:transform` element itself.

public XsltExecutable Compile(
XdmNode node
);

#### Return Value

An `XsltExecutable` which represents the compiled stylesheet object. The XsltExecutable may be run as many times as required, in the same or a different thread. The `XsltExecutable` is not affected by any changes made to the `XsltCompiler` once it has been compiled.

#### See Also

XsltCompiler Class | Saxon.Api Namespace | XsltCompiler.Compile Overload List